GLSA-200507-12 : Bugzilla: Unauthorized access and information disclosure

Medium Nessus Plugin ID 19199


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-200507-12 (Bugzilla: Unauthorized access and information disclosure)

Bugzilla allows any user to modify the flags of any bug (CAN-2005-2173). Bugzilla inserts bugs into the database before marking them as private, in connection with MySQL replication this could lead to a race condition (CAN-2005-2174).
Impact :

By manually changing the URL to process_bug.cgi, a remote attacker could modify the flags of any given bug, which could trigger an email including the bug summary to be sent to the attacker. The race condition when using Bugzilla with MySQL replication could lead to a short timespan (usually less than a second) where the summary of private bugs is exposed to all users.
Workaround :

There are no known workarounds at this time.


All Bugzilla users should upgrade to the latest available version:
# emerge --sync # emerge --ask --oneshot --verbose '>=www-apps/bugzilla-2.18.3'

See Also

Plugin Details

Severity: Medium

ID: 19199

File Name: gentoo_GLSA-200507-12.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2005/07/14

Modified: 2015/04/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:bugzilla, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Patch Publication Date: 2005/07/13

Vulnerability Publication Date: 2005/07/08

Reference Information

CVE: CVE-2005-2173, CVE-2005-2174

OSVDB: 17800, 17801

GLSA: 200507-12